System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection System.Runtime.InteropServices.ComVisible(true)

The class is read-only; it does not implement methods to add or remove attributes. You must inherit from this class to implement these methods.

Use the property to find the number of attributes that exist in the collection.

You can also use the methods of this class to query the collection about its contents. Call the method to verify that a specified attribute or attribute array exists in the collection. Call the method to verify that a specified attribute or array of attributes exists in the collection, and that the values of the specified attributes are the same as the values in the collection.

While most attributes have default values, default values are not required. If an attribute has no default value, null is returned from the indexed property that takes a type. When defining your own attributes, you can declare a default value by either providing a constructor that takes no arguments, or defining a public static field of your attribute type named "Default".

Represents a collection of attributes.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ParamArray
  To be added

  Initializes a new instance of the class.

  An array of type that provides the attributes for this collection.
- Property
  4.0.0.0
  System.Attribute[] To be added. To be added.

  Gets the attribute collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added: an object of type 'Attribute'

  This collection has the specified attribute if the specified type of attribute exists in the collection, and if the value of the specified attribute is the same as the value of the instance of the attribute in the collection.

  The difference between the and methods is that calls the method on an attribute, and calls the method.

  For most attributes, these methods do the same thing. For attributes that may have multiple flags, however, is typically implemented so that it returns true if any of the flags are satisfied. For example, consider a data binding attribute with the Boolean flags "SupportsSql", "SupportsOleDb", and "SupportsXml". This attribute may be present on a property that supports all three data-binding approaches. It will often be the case that a programmer needs to know only if a particular approach is available, not all three. Therefore, a programmer could use with an instance of the attribute containing only the flags the programmer needs.

  Determines whether this collection of attributes has the specified attribute.

  true if the collection contains the attribute or is the default attribute for the type of attribute; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This collection has the specified array of attributes if all the specified attribute types exist in the collection and if each attribute in the specified array is the same as an attribute in the collection.

  Determines whether this attribute collection contains all the specified attributes in the attribute array.

  true if the collection contains all the attributes; otherwise, false.

  An array of type to find in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the collection to an array, starting at the specified index.

  The to copy the collection to. The index to start from.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  You can use the property to set the limits of a loop that iterates through a collection of objects. If the collection is zero-based, be sure to use Count - 1 as the upper boundary of the loop.

  Gets the number of attributes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.AttributeCollection To be added

  Specifies an empty collection that you can use, rather than creating a new one. This field is read-only.

- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.AttributeCollection `` `System.ParamArray`

  If the parameter is provided, its entries are merged with those of the parameter.

  Creates a new from an existing .

  A new that is a copy of .

  An from which to create the copy. An array of type that provides the attributes for this collection. Can be null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute `` To be added

  Returns the default of a given .

  The default of a given .

  The of the attribute to retrieve.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added

  Gets an enumerator for this collection.

  An enumerator of type .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added: an object of type 'Attribute'

  An attribute can provide support for matching.

  The difference between the and methods is that calls the method on an attribute, and calls the method.

  For most attributes, these methods do the same thing. For attributes that may have multiple flags, however, is typically implemented so that it returns true if any of the flags are satisfied. For example, consider a data binding attribute with the Boolean flags "SupportsSql", "SupportsOleDb", and "SupportsXml". This attribute may be present on a property that supports all three data binding approaches. It will often be the case that a programmer needs to know only if a particular approach is available, not all three. Therefore, a programmer could use with an instance of the attribute containing only the flags the programmer needs.

  Determines whether a specified attribute is the same as an attribute in the collection.

  true if the attribute is contained within the collection and has the same value as the attribute in the collection; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  An attribute can provide support for matching.

  Determines whether the attributes in the specified array are the same as the attributes in the collection.

  true if all the attributes in the array are contained in the collection and have the same values as the attributes in the collection; otherwise, false.

  An array of to compare with the attributes in this collection.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of elements contained in the collection.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether access to the collection is synchronized (thread-safe).

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an for the .

  An for the .